Nokogiri 1.1.0 Released


#1

nokogiri version 1.1.0 has been released!

Nokogiri (��) is an HTML, XML, SAX, and Reader parser.

Changes:

1.1.0

  • New Features

    • Custom XPath functions are now supported. See
      Nokogiri::XML::Node#xpath
    • Custom CSS pseudo classes are now supported. See
      Nokogiri::XML::Node#css
    • Nokogiri::XML::Node#<< will add a child to the current node
  • Bugfixes

    • Mutex lock on CSS cache access
    • Fixed build problems with GCC 3.3.5
    • XML::Node#to_xml now takes an indentation argument
    • XML::Node#dup takes an optional depth argument
    • XML::Node#add_previous_sibling returns new sibling node.

SYNOPSIS:

require ‘nokogiri’
require ‘open-uri’

doc =
Nokogiri::HTML(open(‘http://www.google.com/search?q=tenderlove’))

Search for nodes by css

doc.css(‘h3.r a.l’).each do |link|
puts link.content
end

Search for nodes by xpath

doc.xpath(’//h3/a[@class=“l”]’).each do |link|
puts link.content
end

Or mix and match.

doc.search(‘h3.r a.l’, ‘//h3/a[@class=“l”]’).each do |link|
puts link.content
end


#2

nokogiri version 1.1.0 has been released!

Never heard about his before. Very interesting.

Nokogiri (��) is an HTML, XML, SAX, and Reader parser.

  • Custom CSS pseudo classes are now supported. See Nokogiri::XML::Node#css

In understand I can match by CSS selectors. Is there any CSS-Parser I
can use alongside?

mfg, simon … l


#3

Aaron P. wrote:

nokogiri version 1.1.0 has been released!

(Apologies if I missed this but) will it work with Ruby 1.9.1 rc1?


#4

On Wed, Dec 31, 2008 at 03:24:37AM +0900, Phlip wrote:

Aaron P. wrote:

nokogiri version 1.1.0 has been released!

(Apologies if I missed this but) will it work with Ruby 1.9.1 rc1?

Yes. We support ruby 1.9. If it breaks in 1.9, we consider it to be a
bug.